Bug 1718336 - python-fsleyes-widgets fails to build on rawhide/F31
Summary: python-fsleyes-widgets fails to build on rawhide/F31
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-fsleyes-widgets
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON38 F31FTBFS SPHINX2 1732841
TreeView+ depends on / blocked
 
Reported: 2019-06-07 13:56 UTC by Petr Viktorin
Modified: 2019-07-31 22:40 UTC (History)
3 users (show)

Fixed In Version: python-fsleyes-widgets-0.7.3-2.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-07 14:39:57 UTC


Attachments (Terms of Use)

Description Petr Viktorin 2019-06-07 13:56:48 UTC
python-fsleyes-widgets fails to build with Sphinx 2, because Sphinx itself no longer provides sphinx_rtd_theme.

See https://src.fedoraproject.org/rpms/python-fsleyes-widgets/pull-request/1


Also, there's a deprecation warning:
/usr/lib/python3.8/site-packages/sphinx/events.py:76: RemovedInSphinx30Warning: autodoc_default_flags is now deprecated. Please use autodoc_default_options instead.
  results.append(callback(*args))


This will block the rebuild with Python 3.8.
We plan to start 3.8 rebuilds in a side tag this week. The sooner the builds are done, the sooner the side tag can be merged back to rawhide. If the side tag is "open" for too long, it tends to diverge and the merge is more problematic. We usually decide to merge it even if some packages fail to build to prevent that. Once we do, packages that failed to rebuild will fail to install. If you are OK with that, it blocks nothing.


Note You need to log in before you can comment on or make changes to this bug.